Payments

Methods

GET

Retrieve Single Payment

/backend/api/v1/payments/ID - fetch payment with specified ID.

List Payments

/backend/api/v1/payments/ - list all payments.

/backend/api/v1/customers/ID/payments/ - list valid payments belonging to customer with specified ID.

By default only valid (non-reversed) payments are shown.

Additional Query Parameters
ParameterTypeRequiredDescription
reversedflagNoShow reversed payments
includeReversedflagNoShow all payments, including reversed
minDatedateNoOnly show payments dated on or after
maxDatedateNoOnly show payments dated on or before
minReversedDatedateNoOnly show payments reversed on or after
maxReversedDatedateNoOnly show payments reversed on or before
reversedSincedatetimeNoOnly include payments reversed since
reinstatedSincedatetimeNoOnly include payments reinstated since
collectedSincedatetimeNoOnly include payments collected since
cancelledSincedatetimeNoOnly include payments with collection cancelled since

Note: The min/maxReversedDate filters use the reversal date shown on the payment, and the reversedSince filter uses the time the reversal took place. These will often be the same, but this is not guaranteed.

POST

/backend/api/v1/customers/ID/payments/ - add a new payment to the specified customer, the newly-added payment will be returned.

PATCH

/backend/api/v1/payments/ID - update payment with specified ID. The modified payment will be returned.

DELETE

/backend/api/v1/payments/ID - delete payment with specified ID.

Fields

FieldNameTypeDescription
ourReferenceOur ReferenceTextInternal reference number for this payment
customerReferenceCustomer’s ReferenceTextReference number provided by the customer for this payment
paymentDatePayment DateDateDate when the payment was made
paymentReversedDatePayment Reversed DateDateDate when the payment was reversed, if applicable
statusStatusPreset Value(s)Array of status names currently active for this payment
paymentAmountAmountCurrencyAmount of the payment in the customer’s currency
paymentMethodMethodPreset ValueMethod used for this payment
invoiceIDDisplay on InvoiceTextThe ID of the invoice this payment is displayed on
invoiceIDReversedDisplay Reversal On InvoiceTextThe ID of the invoice showing the reversal of this payment
idPayment IDTextThe unique identifier for this payment

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket